# Transaction Status ClientReqId API

<mark style="color:blue;">**API for checking the transaction status using ClientReqId.**</mark>

| Endpoint                                                                                                           |
| ------------------------------------------------------------------------------------------------------------------ |
| **Request:**<mark style="color:blue;">**GET /couapp/transactions/payment/byClientId?clientReqId=vgRdasd24**</mark> |

<mark style="color:blue;">**Request Parameters**</mark>

***The various parameters are explained below:***

| Parent Property/Element                | Property/Element Name        | Mandatory | Data Type                      | Description                         |
| -------------------------------------- | ---------------------------- | --------- | ------------------------------ | ----------------------------------- |
| \[ROOT] (No parent property / element) | <p><br></p><p>byClientId</p> | M         | <p><br></p><p>Alphanumeric</p> | <p><br></p><p>Fixed Length – 10</p> |

<mark style="color:blue;">**Response Parameters**</mark>

**The various parameters are explained below:**

| Parent Property/Element                | Property/Element Name  | Mandatory | Data Type              | Description                                                                                                                                    |
| -------------------------------------- | ---------------------- | --------- | ---------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------- |
| \[ROOT] (No parent property / element) | txnId                  | M         | <p><br></p><p>UUID</p> | Machine-generated Unique ID for a transaction, used internally                                                                                 |
|                                        | refId                  | M         | Alphanumeric           | Code generated by the Biller Operating Unit that acquires the customer for every bill fetch transaction initiated and used across all messages |
|                                        | txnNpciId              | C         | Alphanumeric           | Unique Transaction ID assigned by NPCI                                                                                                         |
|                                        | orderId                | M         | String                 |                                                                                                                                                |
|                                        | billId                 | M         | String                 |                                                                                                                                                |
|                                        | userType               | M         | String                 |                                                                                                                                                |
|                                        | userId                 | M         | String                 | Unique ID assigned to the Agent by NPCI                                                                                                        |
|                                        | txnAmount              | M         | String                 | Total Transaction Amount for the Bill                                                                                                          |
|                                        | totalTxnAmount         |           | String                 | Actual bill amount inclusive of all charges                                                                                                    |
|                                        | billerName             | M         | String                 | Name of the Biller assigned by NPCI                                                                                                            |
|                                        | billerCategory         | M         | String                 | Category of the Biller                                                                                                                         |
|                                        | billerId               | M         | String                 | Unique ID assigned to the Biller by NPCI Fixed length - 14                                                                                     |
|                                        | clientReqId            | M         | String                 | Unique ID assigned for each transaction, to be used internally                                                                                 |
|                                        | offUsPay               | M         | String                 | Flag indicating if it is an electronic ON-US or OFF-US transaction                                                                             |
|                                        | splitPay               | M         | String                 | Flag indicating if the bill is paid using two different payment modes                                                                          |
|                                        | quickPay               | M         | String                 | Flag indicating if the payment is initiated without a fetch or not                                                                             |
|                                        | paymentMode            | M         | String                 |                                                                                                                                                |
|                                        | custConvFee            | M         | String                 |                                                                                                                                                |
|                                        | currency               | M         | String                 | Defines the currency in which the payment is initiated. 356 stands for INR                                                                     |
|                                        | requestedIp            | M         | String                 | IP address of the initiating Server                                                                                                            |
|                                        | customerMobNo          | M         | Numeric                |                                                                                                                                                |
|                                        | macAddress             | M         | Alphanumeric           |                                                                                                                                                |
|                                        | splitPayAmount         | M         | String                 |                                                                                                                                                |
|                                        | couCustConvFee         | M         | String                 |                                                                                                                                                |
|                                        | settlementVerification | M         | String                 | Flag indicating if Settlement Verification is enabled for the transaction                                                                      |
|                                        | fundTxnType            | M         | String                 |                                                                                                                                                |
|                                        | reason                 | M         | String                 |                                                                                                                                                |
|                                        | amountTags             | M         | String                 |                                                                                                                                                |
|                                        | customerParamsDAOS     | M         | String                 |                                                                                                                                                |
|                                        | paymentInformation     | M         | String                 |                                                                                                                                                |
|                                        | customerParamsDAO      | M         | String                 |                                                                                                                                                |
|                                        | planId                 | M         | String                 |                                                                                                                                                |
|                                        | planType               | M         | String                 |                                                                                                                                                |
|                                        | status                 | M         | String                 | Status of the Operation                                                                                                                        |
|                                        | actionType             | C         | String                 | Type of Bill Payment. Possible Values: BILL\_FETCH QUICKPAY BILL\_VALIDATE                                                                     |
|                                        | userId                 | M         | Alphanumeric           | Agent id Fixed length - 20                                                                                                                     |
|                                        | creationDate           | M         | String                 | ISO 8601 Timestamp for the Bill Creation date                                                                                                  |
|                                        | modifiedDate           | M         | String                 | ISO 8601 Timestamp for the Bill Modification date                                                                                              |
|                                        | createdEpochDate       | M         | Numeric                | UNIX Epoch Timestamp for the Bill Creation date                                                                                                |
|                                        | modifiedEpochDate      | M         | Numeric                | UNIX Epoch Timestamp for the Bill Modification date                                                                                            |
| agentFundTransfer                      | fundTxnReferenceId     | M         | String                 |                                                                                                                                                |
|                                        | fundTxnRemarks         | M         | String                 |                                                                                                                                                |
|                                        | fundTxnDate            | M         | String                 |                                                                                                                                                |
|                                        | fundUTR                | M         | String                 |                                                                                                                                                |
|                                        | fundRespRemarks        | M         | String                 |                                                                                                                                                |
|                                        | agentNpciId            | M         | String                 |                                                                                                                                                |
|                                        | txnRefId               | M         | String                 |                                                                                                                                                |
|                                        | fundStatus             | M         | String                 | Status of the fund transfer Possible values:                                                                                                   |
| customerParamsDAO                      | name                   | C         | String                 | Name of the Customer Parameter attribute                                                                                                       |
|                                        | value                  | C         | String                 | Value of the Customer Parameter attribute                                                                                                      |
|                                        | paramsId               | C         | UUID                   |                                                                                                                                                |

<mark style="color:blue;">**Json Formatted Response Example**</mark>

```json
{
"transactionDAO": {
"txnId": "fdd28ccc-90bd-4719-8adf-26e085d18d54", 
"refId": "ukpeZdOmtQCK4ByLFatdrWhtIiucPIXigYF", 
"txnNpciId": "FE411343V3mFjMC0aqOp",
"orderId": "DFW9GM5B65WV88XMKG9815KQ",
"actionType": "VALIDATE_PAY",
"billId": "c9670952-ebd7-487a-b6ea-49f2b4d4a718", 
"userType": "organization",
"userId": "FE41FE42BNK519012345",
"txnAmount": 9900,
"totalTxnAmount": 9900, 
"billerId": "HUNG00000NATJL",
"billerCategory": "Subscription",
"billerName": "Hungama Music", 
"clientReqId": null,
"offUsPay": "NO",
"splitPay": "NO",
"quickPay": "NO", 
"paymentMode": "Cash", 
"custConvFee": 0,
"currency": "356",
"status": "BILL_PAYMENT_SUCCESS",
"requestedIp": "10.11.2.4",
"customerMobNo": "8281970523", 
"macAddress": null, 
"splitPayAmount": 0,
"couCustConvFee": 0, 
"settlementVerification": false, 
"fundTxnType": "WALLET_TRANSFER", 
"reason": null,
"amountTags": [], 
"customerParamsDAOS": [], 
"paymentInformation": [], 
"customerParamsDAO": [
{
"paramsId": "78dd4417-726f-4f45-a671-4ead120417e2", 
"name": "Mobile Number",
"value": "8281970522",
"type": null
},
{
"paramsId": "0bc3c1b3-019a-4cf3-863b-4455d0eac80c", 
"name": "Email ID",
"value": "jithesh@digiledge.in", 
"type": null
},
{
"paramsId": "8a810c5c-d8ad-4092-98a5-a98e20b6e7d2", 
"name": "Id",
"value": "2862", 
"type": null
}
],
"creationDate": "2021-12-09T10:51:08.278329", 
"modifiedDate": "2021-12-09T10:51:15.040695",
"createdEpochDate": 1639047068,
"modifiedEpochDate": 1639047075, 
"planId": null,
"planType": null
},
"agentFundTransfer": {
"fundTxnReferenceId": "DFW9GM5B65WV88XMKG9815KQ", 
"fundTxnRemarks": "BBPS-AGENT/fdd28ccc-90bd-4719-8adf-26e085d18d54", 
"fundTxnDate": "2018-04-10 14:36:09.404068",
"fundTxnAmt": 9900,
"fundUTR": "801218794476",
"fundRespRemarks": "SUCCESS", 
"agentNpciId": "FE41FE42BNK519012345",
"txnRefId": "fdd28ccc-90bd-4719-8adf-26e085d18d54", 
"fundStatus": "FUND_TRANSFER_SUCCESS"
},
"generalResp": { 
"statusCode": "200",
"status": "success",
"message": "Successfully transaction retrieved by txnId", 
"remarks": ""
}
}

```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.digiledge.in/untitled/bbps/bbps-agent-integration/bbps-agent-api/transaction-status-clientreqid-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
